<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>org.ow2.weblab.services</groupId>
		<artifactId>parent</artifactId>
		<version>1.2.8.1</version>
		<relativePath>../../parent/pom.xml</relativePath>
	</parent>

	<groupId>org.ow2.weblab.portlets</groupId>
	<artifactId>parent</artifactId>
	<version>1.2.8.1</version>

	<packaging>pom</packaging>
	<name>WebLab Portlet POM</name>

	<dependencies>
		<dependency>
			<groupId>org.ow2.weblab.portlets</groupId>
			<artifactId>weblab-portlet-filters</artifactId>
			<scope>runtime</scope>
		</dependency>

		<dependency>
			<groupId>org.ow2.weblab.core</groupId>
			<artifactId>model</artifactId>
		</dependency>
		<dependency>
			<groupId>org.ow2.weblab.core</groupId>
			<artifactId>extended</artifactId>
		</dependency>
		<dependency>
			<groupId>org.ow2.weblab.core</groupId>
			<artifactId>annotator</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-beans</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-webmvc-portlet</artifactId>
		</dependency>

		<!-- Portal provided dependencies -->
		<dependency>
			<groupId>javax.portlet</groupId>
			<artifactId>portlet-api</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>servlet-api</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>jstl</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>taglibs</groupId>
			<artifactId>standard</artifactId>
			<scope>provided</scope>
		</dependency>

		<!-- To have clean logs -->
		<dependency>
			<groupId>log4j</groupId>
			<artifactId>log4j</artifactId>
			<scope>runtime</scope>
		</dependency>
		<dependency>
			<groupId>commons-logging</groupId>
			<artifactId>commons-logging</artifactId>
		</dependency>

		<!-- Test dependency -->
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<scope>test</scope>
		</dependency>
	</dependencies>

	<dependencyManagement>
		<dependencies>
			<!-- Components -->
			<dependency>
				<groupId>org.ow2.weblab.components</groupId>
				<artifactId>content-manager</artifactId>
				<version>2.2.2</version>
			</dependency>
			<dependency>
				<groupId>org.ow2.weblab.components</groupId>
				<artifactId>resources-merger</artifactId>
				<version>1.2.1</version>
			</dependency>
			<dependency>
				<groupId>org.ow2.weblab.components</groupId>
				<artifactId>structured-document-renderer</artifactId>
				<version>1.3.1</version>
			</dependency>
			<dependency>
				<groupId>org.ow2.weblab.core</groupId>
				<artifactId>weblab-annotations</artifactId>
				<version>1.0.0</version>
			</dependency>
			<dependency>
				<groupId>org.ow2.weblab.components</groupId>
				<artifactId>weblab-client</artifactId>
				<version>0.3.0</version>
			</dependency>
			<dependency>
				<groupId>org.ow2.weblab.components</groupId>
				<artifactId>weblab-taglib</artifactId>
				<version>0.1.2</version>
			</dependency>

			<dependency>
				<groupId>org.ow2.weblab.portlets</groupId>
				<artifactId>weblab-portlet-filters</artifactId>
				<version>0.3.1</version>
			</dependency>

			<dependency>
				<groupId>javax.portlet</groupId>
				<artifactId>portlet-api</artifactId>
				<version>2.0</version>
			</dependency>
			<dependency>
				<groupId>javax.servlet</groupId>
				<artifactId>servlet-api</artifactId>
				<version>2.4</version>
			</dependency>
			<dependency>
				<groupId>javax.servlet</groupId>
				<artifactId>jstl</artifactId>
				<version>1.1.2</version>
			</dependency>
			<dependency>
				<groupId>taglibs</groupId>
				<artifactId>standard</artifactId>
				<version>1.1.2</version>
			</dependency>
		</dependencies>
	</dependencyManagement>

	<scm>
		<connection>scm:svn:svn://svn.forge.objectweb.org/svnroot/weblab/trunk/WebLabServices/Portlet</connection>
		<developerConnection>scm:svn:svn+ssh://svn.forge.objectweb.org/svnroot/weblab/trunk/WebLabServices/Portlet</developerConnection>
		<url>http://websvn.ow2.org/listing.php?repname=weblab&amp;path=%2Ftrunk%2FWebLabServices%2FWebServices%2FPortlet%2F</url>
	</scm>

	<repositories>
		<repository>
			<id>weblab.release</id>
			<name>WebLab Repository</name>
			<url>http://maven.weblab-project.org</url>
			<releases>
				<enabled>true</enabled>
			</releases>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
		</repository>
		<repository>
			<id>weblab.snapshot</id>
			<name>WebLab Snapshot Repository</name>
			<url>http://maven-snapshot.weblab-project.org</url>
			<releases>
				<enabled>false</enabled>
			</releases>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
		</repository>
		<repository>
			<id>weblab.external</id>
			<name>WebLab External Repository</name>
			<url>http://maven-external.weblab-project.org</url>
			<releases>
				<enabled>true</enabled>
			</releases>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
		</repository>
	</repositories>

</project>